Adds a new fstest invocation test (074).
authorfsgqa <fsgqa>
Fri, 1 Aug 2003 03:38:46 +0000 (03:38 +0000)
committerfsgqa <fsgqa>
Fri, 1 Aug 2003 03:38:46 +0000 (03:38 +0000)
remove an unused variable.

013
074 [new file with mode: 0755]
074.out [new file with mode: 0644]
group
src/fstest.c

diff --git a/013 b/013
index b4ebee0dc117306aa9f2127df4ccac714de6e190..cfda1af90af7fe40ecb4f49437d858f8254ef5d5 100755 (executable)
--- a/013
+++ b/013
@@ -69,8 +69,6 @@ _do_test()
     _param="$2"
     _count="$3"
     
-    failed=0
-    
     out=$TEST_DIR/fsstress.$$.$_n
     rm -rf $out
     if ! mkdir $out
diff --git a/074 b/074
new file mode 100755 (executable)
index 0000000..cec6c6d
--- /dev/null
+++ b/074
@@ -0,0 +1,115 @@
+#! /bin/sh
+# XFS QA Test No. 074
+#
+# fstest
+#
+#-----------------------------------------------------------------------
+# Copyright (c) 2000-2003 Silicon Graphics, Inc.  All Rights Reserved.
+# 
+# This program is free software; you can redistribute it and/or modify it
+# under the terms of version 2 of the GNU General Public License as
+# published by the Free Software Foundation.
+# 
+# This program is distributed in the hope that it would be useful, but
+# WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
+# 
+# Further, this software is distributed without any warranty that it is
+# free of the rightful claim of any third person regarding infringement
+# or the like.  Any license provided herein, whether implied or
+# otherwise, applies only to this software file.  Patent licenses, if
+# any, provided herein do not apply to combinations of this program with
+# other software, or any other product whatsoever.
+# 
+# You should have received a copy of the GNU General Public License along
+# with this program; if not, write the Free Software Foundation, Inc., 59
+# Temple Place - Suite 330, Boston MA 02111-1307, USA.
+# 
+# Contact information: Silicon Graphics, Inc., 1600 Amphitheatre Pkwy,
+# Mountain View, CA  94043, or:
+# 
+# http://www.sgi.com 
+# 
+# For further information regarding this notice, see: 
+# 
+# http://oss.sgi.com/projects/GenInfo/SGIGPLNoticeExplan/
+#-----------------------------------------------------------------------
+#
+# creator
+owner=nathans@sgi.com
+
+seq=`basename $0`
+echo "QA output created by $seq"
+
+here=`pwd`
+tmp=/tmp/$$
+status=0       # success is the default!
+trap "_cleanup; exit \$status" 0 1 2 3 15
+
+_cleanup()
+{
+    rm -rf $TEST_DIR/fstest.$$.* $tmp.*
+}
+
+# get standard environment, filters and checks
+. ./common.rc
+. ./common.filter
+
+_do_test()
+{
+    _n="$1"
+    _param="$2"
+
+    out=$TEST_DIR/fstest.$$.$_n
+    rm -rf $out
+    if ! mkdir $out
+    then
+        echo "    failed to mkdir $out"
+        status=1
+        exit
+    fi
+    
+    echo ""
+    echo "-----------------------------------------------"
+    echo "fstest.$_n : $_param"
+    echo "-----------------------------------------------"
+    if ! $here/src/fstest $_param -p $out >> $seq.full
+    then
+        echo "    fstest ($_param) returned $? - see $seq.full"
+        status=1
+       exit
+    fi
+
+    _check_test_fs
+}
+
+
+# real QA test starts here
+
+rm -f $here/$seq.full
+echo "brevity is wit..."
+
+_check_test_fs
+
+# Options:
+# -F                    generate files with holes  (default=no)
+# -n num_children       set number of child processes (default=1)
+# -f num_files          set number of files (default=1)
+# -s file_size          set file sizes (default=1MiB)
+# -b block_size         set block (IO) size (default=1024)
+# -l loops              set loop count (default=100)
+# -m                    use mmap (default=no)
+# -S                    use synchronous IO (default=no)
+# -P                    preallocate space (default=no)
+
+size10=`expr 10 \* 1024 \* 1024`       # 10 megabytes
+size30=`expr 30 \* 1024 \* 1024`       # 30 megabytes
+
+_do_test 0 ""                  # defaults
+
+_do_test 1 "-s $size10 -b 8192 -m"
+
+_do_test 2 "-n 3 -Fp -f 10 -s $size30 -b 512"
+
+_do_test 3 "-n 3 -Fp -f 10 -s $size30 -b 512 -m"
+
diff --git a/074.out b/074.out
new file mode 100644 (file)
index 0000000..2b274c0
--- /dev/null
+++ b/074.out
@@ -0,0 +1,18 @@
+QA output created by 099
+brevity is wit...
+
+-----------------------------------------------
+fstest.0 : 
+-----------------------------------------------
+
+-----------------------------------------------
+fstest.1 : -s 10485760 -b 8192 -m
+-----------------------------------------------
+
+-----------------------------------------------
+fstest.2 : -n 3 -Fp -f 10 -s 31457280 -b 512
+-----------------------------------------------
+
+-----------------------------------------------
+fstest.3 : -n 3 -Fp -f 10 -s 31457280 -b 512 -m
+-----------------------------------------------
diff --git a/group b/group
index 10cb22cc9065b2bdbc1b0bf96a315b0bc1c121eb..a4e6655946fbc4a49015d8cc190b98bf5b3de6d4 100644 (file)
--- a/group
+++ b/group
@@ -131,3 +131,4 @@ ioctl               nathans@sgi.com
 071 rw auto
 072 rw auto
 073 copy auto
+074 rw auto
index 18d5bf89c5aa9b1c6bcce599d4d8cd7269252bed..8dd52a318d68282df37e9d21cd892994ba97b93b 100644 (file)
@@ -258,7 +258,7 @@ static void usage(void)
 " -l loops              set loop count\n"
 " -m                    use mmap\n"
 " -S                    use synchronous IO\n"
-" -P                   preallocate space\n"
+" -P                    preallocate space\n"
 " -h                    show this help message\n");
 }
 
@@ -322,8 +322,8 @@ int main(int argc, char *argv[])
                printf("Rounded file size to %d\n", file_size);
        }
 
-       printf("num_children=%d file_size=%d num_files=%d loop_count=%d block_size=%d\nmmap=%d sync=%d\n",
-              num_children, file_size, num_files, loop_count, block_size, use_mmap, use_sync);
+       printf("num_children=%d file_size=%d num_files=%d loop_count=%d block_size=%d\nmmap=%d sync=%d prealloc=%d\n",
+              num_children, file_size, num_files, loop_count, block_size, use_mmap, use_sync, do_prealloc);
 
        printf("Total data size %.1f Mbyte\n",
               num_files * num_children * 1.0e-6 * file_size);